# DataExchange
TKXSBase
IFSelect

# IFSelect_SelectErrorEntities Class Reference

A SelectErrorEntities sorts the Entities which are qualified
as "Error" (their Type has not been recognized) during reading
a File. This does not concern Entities which are syntactically
correct, but with incorrect data (for integrity constraints).
.

`#include <IFSelect_SelectErrorEntities.hxx>`

Inheritance diagram for IFSelect_SelectErrorEntities:

[legend]

## Public Member Functions

Standard_EXPORT | IFSelect_SelectErrorEntities ()
| Creates a SelectErrorEntities .
Standard_EXPORT Standard_Boolean | Sort (const Standard_Integer rank, const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model) const
| Returns True for an Entity which is qualified as "Error", i.e. if <model> explicitly knows <ent> (through its Number) as Erroneous .
Standard_EXPORT TCollection_AsciiString | ExtractLabel () const
| Returns a text defining the criterium : "Error Entities" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_SelectErrorEntities::IFSelect_SelectErrorEntities | ( |  | ) |

## Member Function Documentation

Standard_EXPORT TCollection_AsciiString IFSelect_SelectErrorEntities::ExtractLabel | ( |  | ) | const`[virtual]`

| Implements IFSelect_SelectExtract.

Standard_EXPORT const IFSelect_SelectErrorEntities::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_SelectExtract.

Standard_EXPORT Standard_Boolean IFSelect_SelectErrorEntities::Sort | ( | const Standard_Integer | rank,
|  | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model
| ) | const`[virtual]`

| Implements IFSelect_SelectExtract.

The documentation for this class was generated from the following file:

- IFSelect_SelectErrorEntities.hxx